osgDB::ObjectWrapperManager Class Reference

`#include <ObjectWrapper>`

Inheritance diagram for osgDB::ObjectWrapperManager:

## Public Types

typedef std::map< std::string, osg::ref_ptr< ObjectWrapper > > | WrapperMap
typedef std::map< std::string, osg::ref_ptr< BaseCompressor > > | CompressorMap
typedef std::map< std::string, IntLookup > | IntLookupMap

## Public Member Functions

void | addWrapper (ObjectWrapper *wrapper)
void | removeWrapper (ObjectWrapper *wrapper)
ObjectWrapper * | findWrapper (const std::string &name)
WrapperMap & | getWrapperMap ()
const WrapperMap & | getWrapperMap () const
void | addCompressor (BaseCompressor *compressor)
void | removeCompressor (BaseCompressor *compressor)
BaseCompressor * | findCompressor (const std::string &name)
CompressorMap & | getCompressorMap ()
const CompressorMap & | getCompressorMap () const
IntLookup::Value | getValue (const std::string &group, const std::string &str)
const std::string & | getString (const std::string &group, IntLookup::Value value)
IntLookupMap & | getLookupMap ()
const IntLookupMap & | getLookupMap () const
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Protected Member Functions

| ObjectWrapperManager ()
virtual | ~ObjectWrapperManager ()
IntLookup & | findLookup (const std::string &group)
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const

## Protected Attributes

OpenThreads::ReentrantMutex | _wrapperMutex
WrapperMap | _wrappers
CompressorMap | _compressors
IntLookupMap | _globalMap
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Friends

class | osgDB::Registry

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()

## Member Typedef Documentation

## CompressorMap

typedef std::map< std::string, osg::ref_ptr<BaseCompressor> > osgDB::ObjectWrapperManager::CompressorMap

## IntLookupMap

typedef std::map<std::string, IntLookup> osgDB::ObjectWrapperManager::IntLookupMap

## WrapperMap

typedef std::map< std::string, osg::ref_ptr<ObjectWrapper> > osgDB::ObjectWrapperManager::WrapperMap

## Constructor & Destructor Documentation

## ObjectWrapperManager()

osgDB::ObjectWrapperManager::ObjectWrapperManager | ( |  | ) |

protected

## ~ObjectWrapperManager()

virtual osgDB::ObjectWrapperManager::~ObjectWrapperManager | ( |  | ) |

protected virtual

## Member Function Documentation

## addCompressor()

void osgDB::ObjectWrapperManager::addCompressor | ( | BaseCompressor * | compressor | ) |

## addWrapper()

void osgDB::ObjectWrapperManager::addWrapper | ( | ObjectWrapper * | wrapper | ) |

## findCompressor()

BaseCompressor * osgDB::ObjectWrapperManager::findCompressor | ( | const std::string & | name | ) |

## findLookup()

IntLookup & osgDB::ObjectWrapperManager::findLookup | ( | const std::string & | group | ) |

inline protected

References _globalMap.

Referenced by getString(), and getValue().

## findWrapper()

ObjectWrapper * osgDB::ObjectWrapperManager::findWrapper | ( | const std::string & | name | ) |

## getCompressorMap() [1/2]

CompressorMap & osgDB::ObjectWrapperManager::getCompressorMap | ( |  | ) |

inline

References _compressors.

## getCompressorMap() [2/2]

const CompressorMap & osgDB::ObjectWrapperManager::getCompressorMap | ( |  | ) | const

inline

References _compressors.

## getLookupMap() [1/2]

IntLookupMap & osgDB::ObjectWrapperManager::getLookupMap | ( |  | ) |

inline

References _globalMap.

## getLookupMap() [2/2]

const IntLookupMap & osgDB::ObjectWrapperManager::getLookupMap | ( |  | ) | const

inline

References _globalMap.

## getString()

const std::string & osgDB::ObjectWrapperManager::getString | ( | const std::string & | group,
|  | IntLookup::Value | value )

inline

References findLookup().

## getValue()

IntLookup::Value osgDB::ObjectWrapperManager::getValue | ( | const std::string & | group,
|  | const std::string & | str )

inline

References findLookup().

## getWrapperMap() [1/2]

WrapperMap & osgDB::ObjectWrapperManager::getWrapperMap | ( |  | ) |

inline

References _wrappers.

## getWrapperMap() [2/2]

const WrapperMap & osgDB::ObjectWrapperManager::getWrapperMap | ( |  | ) | const

inline

References _wrappers.

## removeCompressor()

void osgDB::ObjectWrapperManager::removeCompressor | ( | BaseCompressor * | compressor | ) |

## removeWrapper()

void osgDB::ObjectWrapperManager::removeWrapper | ( | ObjectWrapper * | wrapper | ) |

## Friends And Related Symbol Documentation

## osgDB::Registry

friend class osgDB::Registry

friend

## Member Data Documentation

## _compressors

CompressorMap osgDB::ObjectWrapperManager::_compressors

protected

Referenced by getCompressorMap(), and getCompressorMap().

## _globalMap

IntLookupMap osgDB::ObjectWrapperManager::_globalMap

protected

Referenced by findLookup(), getLookupMap(), and getLookupMap().

## _wrapperMutex

OpenThreads::ReentrantMutex osgDB::ObjectWrapperManager::_wrapperMutex

protected

## _wrappers

WrapperMap osgDB::ObjectWrapperManager::_wrappers

protected

Referenced by getWrapperMap(), and getWrapperMap().

The documentation for this class was generated from the following file:

- ObjectWrapper